Subject: bug#66245: [PATCH] ; Silence macOS 14 warning

From: Alan Third <[email-masked]>
Date: Fri, 29 Sep 2023 16:36:22 +0100

On Fri, Sep 29, 2023 at 12:11:50PM +0200, Gerd Möllmann wrote:
> >> I understand that as meaning that this switches on additional checks in
> >> Appkit.  That should be okay for Emacs because it doesn't use this
> >> feature of Appkit, at least AFAIK.
> >
> > Thanks.  IIUC, that seems to speak in favor of not making an emergency
> > release of Emacs 29.2 at this point.
> 
> I agree.  The new method would just enable "secure coding" for
> restorable state on macOS < 14 (it's the default in 14), but since we're
> not using this stuff to begin with, it's kind of pointless.

Not quite true according to the long description linked elsewhere.
Saved state is turned on automatically and it seems there's no way to
opt out. As I understand it that means that even though we don't make
use of it the vulnerable code still executes.

I do agree though that it's probably not worth making an emergency
release.
-- 
Alan Third